#include <Arduino.h>
#include "AccesBdd.h"

// pour envoyer les data : pio run --target uploadfs

AccesBdd *bdd = nullptr;

void setup() {
  
    Serial.begin(115200);
    delay(1000);

    try {
        bdd = new AccesBdd("arrosage.db");
        
        bdd->ChangerMode(1, 'P');
        bdd->modifierProgramme(1, "24/04/2025 14:00:00", 60, 48);
       

        bdd->afficherVannes();
    }
    catch (const BddException& ex) {
        Serial.print(F("[EXCEPTION] "));
        Serial.println(ex.what());
    }
    catch (const std::exception& ex) {
        Serial.print(F("[ERREUR INCONNUE] "));
        Serial.println(ex.what());
    }

    delete bdd;
}


void loop() {
    // Rien ici
}
